#### D.15.14.45 defineHomogeneous

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  defineHomogeneous(f[, G]); polynomial f, integer matrix G

Purpose:
  Yields a matrix which has to be appended to the grading group matrix to make the polynomial f homogeneous in the grading by grad.

Example:

    LIB "multigrading.lib";
    ring r =0,(x,y,z),dp;
    intmat grad[2][3] =
    1,0,1,
    0,1,1;
    setBaseMultigrading(grad);
    poly f = x2y3-z5+x-3zx;
    intmat M = defineHomogeneous(f);
    M;
    ==> 3,0,-1,
    ==> 2,-2,-3
    defineHomogeneous(f, grad) == M;
    ==> 1
    isHomogeneous(f);
    ==> 0
    setBaseMultigrading(grad, M);
    isHomogeneous(f);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.